API ලේඛන
ක්රමය අනුව WHOIS සහ RDAP වස්තු නාම සෙවීම් සඳහා API ලේඛන.
වස්තු නාම සොයීම
අයැදීම් URL
GET https://whois.litelake.com/api/whois?domain={domain}පරාමිතීන්
| පරාමිතිය | වර්ගය | අවශ්ය | විස්තරය |
|---|---|---|---|
| domain | string | ඔව් | සොයා ගැනීමට වස්තු නාමය (උදා: example.com) |
| force_refresh | boolean | නැත | කැෂ් දත්ත බල කරන්නේ නැතිව යළි ලබන්න |
ප්රතිචාර උදාහරණය
{
"code": 200,
"message": "Query successful",
"data": {
"domain": "example.com",
"tld": "com",
"registrar": "Example Registrar, Inc.",
"registry_domain_id": "123456789_DOMAIN_COM-VRSN",
"created_date": "1995-08-14T04:00:00Z",
"updated_date": "2023-08-14T04:00:00Z",
"expiry_date": "2024-08-13T04:00:00Z",
"status": ["clientTransferProhibited"],
"name_servers": ["ns1.example.com", "ns2.example.com"],
"query_count": 150,
"last_queried_at": "2024-03-05T12:34:56Z"
}
}දෝෂ ප්රතිචාරය
400 නරක අයැදීමක්
{
"code": 400,
"message": "Missing domain parameter"
}404 හමු නොවිණි
{
"code": 404,
"message": "Domain not found"
}429 ඉවසිය නොහැකි තරම් අයැදීම්
{
"code": 429,
"message": "Rate limit exceeded, please try again later"
}500 සෑම රීතියකම සේවාදායක දෝෂයක්
{
"code": 500,
"message": "Query failed, please try again later"
}